Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution
Class Javolution

    java.lang.Object
      javolution.Javolution

    public class Javolution

extends java.lang.Object

This class contains the library `main(java.lang.String[])` method for versionning, self-tests, and performance analysis.

It is also the base class for the library benchmarks and self-tests.

Version:
  1.0, September 14, 2004
Author:
  Jean-Marie Dautelle

Field Summary
`static java.lang.String` | `VERSION` Holds the version information.

Constructor Summary
`protected` | `Javolution()` Default constructor.

Method Summary
`static java.lang.Class` | `j2meGetClass(java.lang.String name)` Returns the class having the specified name; for backward compatibility with CLDC 1.0 (cannot use .class as exception java.lang.NoClassDefFoundError does not exist for that platform).
`static java.lang.CharSequence` | `j2meToCharSeq(java.lang.Object str)` Converts the specified String as CharSequence (String is a CharSequence only for J2SE 1.4+).
`static void` | `main(java.lang.String[] args)` The library `main(java.lang.String[])` method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

  Holds the version information.

  See Also:
    Constant Field Values

Constructor Detail

### Javolution

    protected Javolution()

  Default constructor.

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  The library `main(java.lang.String[])` method. The archive `javolution.jar` is auto-executable. `

          java -jar javolution.jar version <i>(show version information)</i>
          java -jar javolution.jar test <i>(perform self-tests)</i>
          java -jar javolution.jar perf <i>(run benchmark)</i>

  ` Configurable are read from system properties.

  Parameters:
    `args` - the option arguments.
  Throws:
    `java.lang.Exception` - if a problem occurs.

### j2meGetClass

    public static java.lang.Class j2meGetClass(java.lang.String name)

  Returns the class having the specified name; for backward compatibility with CLDC 1.0 (cannot use .class as exception java.lang.NoClassDefFoundError does not exist for that platform).

### j2meToCharSeq

    public static java.lang.CharSequence j2meToCharSeq(java.lang.Object str)

  Converts the specified String as CharSequence (String is a CharSequence only for J2SE 1.4+).

  Parameters:
    `str` - the String to convert.
  Returns:
    `this` or a text wrapper.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.